twitter4j

## Interface URLEntity

All Superinterfaces:
  Serializable, TweetEntity

All Known Subinterfaces:
  MediaEntity

All Known Implementing Classes:
  MediaEntityJSONImpl

    public interface URLEntity
    extends TweetEntity, Serializable

A data interface representing one single URL entity.

Since:
  Twitter4J 2.1.9
Author:
  Mocel - mocel at guma.jp

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getDisplayURL()` Returns the display URL if mentioned URL is shorten.
`int` `getEnd()` Returns the index of the end character of the URL mentioned in the tweet.
`String` `getExpandedURL()` Returns the expanded URL if mentioned URL is shorten.
`int` `getStart()` Returns the index of the start character of the URL mentioned in the tweet.
`String` `getText()` Returns the URL mentioned in the tweet. This method implementation is to meet TweetEntity interface and the behavior is equivalent to `getURL()`
`String` `getURL()` Returns the URL mentioned in the tweet.

### Method Detail

#### getText

    String getText()

Returns the URL mentioned in the tweet.
This method implementation is to meet TweetEntity interface and the behavior is equivalent to `getURL()`

Specified by:
  `getText` in interface `TweetEntity`
Returns:
  the mentioned URL

#### getURL

    String getURL()

Returns the URL mentioned in the tweet.

Returns:
  the mentioned URL

#### getExpandedURL

    String getExpandedURL()

Returns the expanded URL if mentioned URL is shorten.

Returns:
  the expanded URL if mentioned URL is shorten, or null if no shorten URL was mentioned.

#### getDisplayURL

    String getDisplayURL()

Returns the display URL if mentioned URL is shorten.

Returns:
  the display URL if mentioned URL is shorten, or null if no shorten URL was mentioned.

#### getStart

    int getStart()

Returns the index of the start character of the URL mentioned in the tweet.

Specified by:
  `getStart` in interface `TweetEntity`
Returns:
  the index of the start character of the URL mentioned in the tweet

#### getEnd

    int getEnd()

Returns the index of the end character of the URL mentioned in the tweet.

Specified by:
  `getEnd` in interface `TweetEntity`
Returns:
  the index of the end character of the URL mentioned in the tweet